"""Form object declaration."""
from flask_wtf import FlaskForm
from wtforms import (
    StringField,
    SubmitField,
)
from wtforms import validators
from wtforms.validators import Length


class BorrowForm(FlaskForm):
    """Borrow a publication form."""

    borrowed = StringField(
        "Fill in your name if you're going to borrow this publication.",
        [
            validators.InputRequired(),
            Length(
                min=3, message="Just so we know who is borrowing this book."
            ),
        ],
    )
    secret = StringField(
        "Librarians secret:",
        [
            validators.InputRequired(),
            Length(
                min=2, message="Fill in the secret to unlock to library."
            ),
        ],
    )
    submit = SubmitField("Borrow")
